using System;
using Decal.Interop.Controls;

namespace Decal.Adapter.Wrappers;

public sealed class PageTextIndexer : IDisposable
{
	private NotebookClass myControl;

	public string this[int index]
	{
		get
		{
			return myControl.get_PageText(index);
		}
		set
		{
			myControl.set_PageText(index, value);
		}
	}

	internal PageTextIndexer(NotebookClass control)
	{
		myControl = control;
	}

	public void Dispose()
	{
		myControl = null;
	}
}
